Package org.eclipse.gef.common.beans.property

# Class ReadOnlyListPropertyBaseEx<E>

java.lang.Object
javafx.beans.binding.ListExpression<E>
javafx.beans.property.ReadOnlyListProperty<E>
javafx.beans.property.ReadOnlyListPropertyBase<E>
org.eclipse.gef.common.beans.property.ReadOnlyListPropertyBaseEx<E>

Type Parameters:
  `E` - The element type of the wrapped `ObservableList`.

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`, `javafx.beans.Observable`, `javafx.beans.property.ReadOnlyProperty<javafx.collections.ObservableList<E>>`, `javafx.beans.value.ObservableListValue<E>`, `javafx.beans.value.ObservableObjectValue<javafx.collections.ObservableList<E>>`, `javafx.beans.value.ObservableValue<javafx.collections.ObservableList<E>>`, `javafx.collections.ObservableList<E>`

public abstract class ReadOnlyListPropertyBaseEx<E> extends javafx.beans.property.ReadOnlyListPropertyBase<E>
A replacement for `ReadOnlyListWrapper` to fix the following JavaFX issues:

- Change notifications are fired even when the observed value did not change.(https://bugs.openjdk.java.net/browse/JDK-8089169)

## Property Summary

### Properties inherited from class javafx.beans.binding.ListExpression

`empty, size`

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyListPropertyBaseEx()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(javafx.beans.InvalidationListener listener)`
`void`
`addListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableList<E>> listener)`
`void`
`addListener(javafx.collections.ListChangeListener<? super E> listener)`
`protected void`
`fireValueChangedEvent()`
`protected void`
`fireValueChangedEvent(javafx.collections.ListChangeListener.Change<? extends E> change)`
`int`
`hashCode()`
`void`
`removeListener(javafx.beans.InvalidationListener listener)`
`void`
`removeListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableList<E>> listener)`
`void`
`removeListener(javafx.collections.ListChangeListener<? super E> listener)`

### Methods inherited from class javafx.beans.property.ReadOnlyListProperty

`bindContent, bindContentBidirectional, equals, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class javafx.beans.binding.ListExpression

`add, add, addAll, addAll, addAll, asString, clear, contains, containsAll, emptyProperty, get, getSize, getValue, indexOf, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, iterator, lastIndexOf, listExpression, listIterator, listIterator, remove, remove, remove, removeAll, removeAll, retainAll, retainAll, set, setAll, setAll, size, sizeProperty, subList, toArray, toArray, valueAt, valueAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`replaceAll, sort, spliterator`

### Methods inherited from interface javafx.collections.ObservableList

`filtered, sorted, sorted`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

## Constructor Details

### ReadOnlyListPropertyBaseEx

public ReadOnlyListPropertyBaseEx()

## Method Details

### addListener

public void addListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableList<E>> listener)

Specified by:
  `addListener` in interface `javafx.beans.value.ObservableValue<E>`
Overrides:
  `addListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### addListener

public void addListener(javafx.beans.InvalidationListener listener)

Specified by:
  `addListener` in interface `javafx.beans.Observable`
Overrides:
  `addListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### addListener

public void addListener(javafx.collections.ListChangeListener<? super E> listener)

Specified by:
  `addListener` in interface `javafx.collections.ObservableList<E>`
Overrides:
  `addListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### fireValueChangedEvent

protected void fireValueChangedEvent()

Overrides:
  `fireValueChangedEvent` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### fireValueChangedEvent

protected void fireValueChangedEvent(javafx.collections.ListChangeListener.Change<? extends E> change)

Overrides:
  `fireValueChangedEvent` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Collection<E>`
Specified by:
  `hashCode` in interface `List<E>`
Overrides:
  `hashCode` in class `javafx.beans.property.ReadOnlyListProperty<E>`

### removeListener

public void removeListener(javafx.beans.value.ChangeListener<? super javafx.collections.ObservableList<E>> listener)

Specified by:
  `removeListener` in interface `javafx.beans.value.ObservableValue<E>`
Overrides:
  `removeListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### removeListener

public void removeListener(javafx.beans.InvalidationListener listener)

Specified by:
  `removeListener` in interface `javafx.beans.Observable`
Overrides:
  `removeListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`

### removeListener

public void removeListener(javafx.collections.ListChangeListener<? super E> listener)

Specified by:
  `removeListener` in interface `javafx.collections.ObservableList<E>`
Overrides:
  `removeListener` in class `javafx.beans.property.ReadOnlyListPropertyBase<E>`